-- clk_align.vhd file
-- Note: This circuit assumes that all buses and DCMs are reset active low.
----------------------------------------------------------------------------
library IEEE;
use IEEE.STD_Logic_1164.all; 
use IEEE.STD_Logic_arith.all;
use IEEE.STD_Logic_unsigned.all;


entity gen_zbt_addr is
  port(	Mem_A:			in	STD_LOGIC_VECTOR(0 to 31);
	ZBT_Addr:		out	STD_LOGIC_VECTOR(18 downto 0));
end entity gen_zbt_addr;

architecture behaviour of gen_zbt_addr is
  signal int_ABus:	STD_LOGIC_VECTOR(31 downto 0);


begin

int_ABus <= Mem_A(0 to 31);
ZBT_Addr <= int_ABus(20 downto 2);

end architecture behaviour;

